Package org.pentaho.reporting.libraries.formula.operators

# Interface OperatorFactory

All Known Implementing Classes:
  `DefaultOperatorFactory`

public interface OperatorFactory
Creation-Date: 02.11.2006, 12:27:52

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`InfixOperator`
`createInfixOperator(String operator)`
`PostfixOperator`
`createPostfixOperator(String operator)`
`PrefixOperator`
`createPrefixOperator(String operator)`
`void`
`initalize(Configuration configuration)`

## Method Details

### createInfixOperator

InfixOperator createInfixOperator(String operator)

### createPostfixOperator

PostfixOperator createPostfixOperator(String operator)

### createPrefixOperator

PrefixOperator createPrefixOperator(String operator)

### initalize

void initalize(Configuration configuration)